const assert = require('assert');
const { When, Then } = require('@cucumber/cucumber');

const { fixtures } = require('../../fixtures/server');

When('the auth method is called', async function() {
  await this.adapter.auth();
});

Then('the adapter credentials are populated', function() { 
  assert.equal(this.adapter.credentials.token, fixtures.get('response-valid-token').token);
});

Then('the adapter auth fails', function() {
  this.adapter.auth()
  .catch((error) => {
    assert.equal(error.response.status, 403);
  });
});