const assert = require('assert');
const { When, Then } = require('@cucumber/cucumber');

When('the token expiry is in the future', function() {
  const expiry = new Date();
  expiry.setHours(expiry.getHours()+1);
  this.adapter.credentials.expiry = expiry.toISOString();
});

When('the token expiry is in the past', function() {
  const expiry = new Date();
  expiry.setHours(expiry.getHours()-1);
  this.adapter.credentials.expiry = expiry.toISOString();  
});

// Boolean parameters are not supported
// and returns "true" would be misleading
Then('tokenValid returns true', function() {
  const isValid = this.adapter.tokenValid();
  assert.ok(isValid);
});

Then('tokenValid returns false', function() {
  const isValid = this.adapter.tokenValid();
  assert.ok(!isValid);
});